cURL
curl -X POST https://api.aiql.io/apps \
-H "Authorization: Bearer $AIQL_API_KEY"{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"sources": "<string>",
"connectors": [
"<string>"
],
"fields": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Apps
Create App
POST
/
apps
cURL
curl -X POST https://api.aiql.io/apps \
-H "Authorization: Bearer $AIQL_API_KEY"{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"sources": "<string>",
"connectors": [
"<string>"
],
"fields": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json